/* projects.html CSS */

/* GitHub and Itch.io Icons */
.header a {
    color: #555;
    text-decoration: none;
    transition: color 0.3s ease;
}

.header a:hover {
    color: #9C8B7E;
}

section {
    display: grid;
    place-items: center;
    align-content: center;

    margin: auto;
    margin-top: 10px;
    width: 60%;
    
    color: black;
    background-color: #9C8B7E;
    border-style: solid;
    border-width: 2px;
    border-color: #9C8B7E;
    border-radius: 15px;

    box-shadow: 10px 10px 30px rgba(0,0,0,0.2);
}

section p {
    text-align: center;
    width: 100%; /* set to fill 100% of container class block */
    padding-left: 10px;
    padding-right: 10px;
}

section a {
    display: inline-block;
    padding: 10px 20px;
    background-color: #555;
    color: white; /* without important links go invisible? */
    text-decoration: none;
    border-radius: 5px;
}

section a:hover {
    background-color: #D5D2CD;
    color: #555;
}

section img {
    width: 25px;
    height: 25px;
}

.hidden {
    opacity: 0;
    filter: blur(5px);
    transform: translateX(-100%);
    transition: all 1s;
}

.show {
    opacity: 1;
    filter: blur(0);
    transform: translateX(0);
}

@media(prefers-reduced-motion: reduce) {
    .hidden {
        transition: none;
    }
}


@media screen and (max-width: 768px) { /* mobile devices & tablets - screen width <= 768px */
    section {
      width: 80%;
    }
}